commit:     65328e8c4b7793f4fa9522d35cfb13e1767c18ce
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  7 22:08:38 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Mar  7 22:19:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65328e8c

app-shells/bash: Revbump to add a couple of fixes

Closes: https://bugs.gentoo.org/676114
Closes: https://github.com/gentoo/gentoo/pull/10949
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-shells/bash/bash-5.0_p2-r1.ebuild              | 267 +++++++++++++++++++++
 .../bash/files/bash-5.0-globpat-backslashes.patch  | 174 ++++++++++++++
 .../bash/files/bash-5.0-history-append.patch       |  34 +++
 .../bash/files/bash-5.0-history-zero-length.patch  |  34 +++
 .../files/bash-5.0-optimize-connection-fork.patch  |  79 ++++++
 .../files/bash-5.0-syslog-history-extern.patch     |  15 ++
 6 files changed, 603 insertions(+)

diff --git a/app-shells/bash/bash-5.0_p2-r1.ebuild 
b/app-shells/bash/bash-5.0_p2-r1.ebuild
new file mode 100644
index 00000000000..fc03471826e
--- /dev/null
+++ b/app-shells/bash/bash-5.0_p2-r1.ebuild
@@ -0,0 +1,267 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs multilib prefix
+
+# Official patchlevel
+# See ftp://ftp.cwru.edu/pub/bash/bash-4.4-patches/
+PLEVEL=${PV##*_p}
+MY_PV=${PV/_p*}
+MY_PV=${MY_PV/_/-}
+MY_P=${PN}-${MY_PV}
+is_release() {
+       case ${PV} in
+       *_alpha*|*_beta*|*_rc*) return 1 ;;
+       *) return 0 ;;
+       esac
+}
+[[ ${PV} != *_p* ]] && PLEVEL=0
+patches() {
+       local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+       [[ ${plevel} -eq 0 ]] && return 1
+       eval set -- {1..${plevel}}
+       set -- $(printf "${pn}${pv/\.}-%03d " "$@")
+       if [[ ${opt} == -s ]] ; then
+               echo "${@/#/${DISTDIR}/}"
+       else
+               local u
+               for u in ftp://ftp.cwru.edu/pub/bash mirror://gnu/${pn} ; do
+                       printf "${u}/${pn}-${pv}-patches/%s " "$@"
+               done
+       fi
+}
+
+# The version of readline this bash normally ships with.
+READLINE_VER="8.0"
+
+DESCRIPTION="The standard GNU Bourne again shell"
+HOMEPAGE="http://tiswww.case.edu/php/chet/bash/bashtop.html";
+if is_release ; then
+       SRC_URI="mirror://gnu/bash/${MY_P}.tar.gz $(patches)"
+else
+       SRC_URI="ftp://ftp.cwru.edu/pub/bash/${MY_P}.tar.gz";
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="afs bashlogger examples mem-scramble +net nls plugins +readline"
+
+DEPEND="
+       >=sys-libs/ncurses-5.2-r2:0=
+       readline? ( >=sys-libs/readline-${READLINE_VER}:0= )
+       nls? ( virtual/libintl )
+"
+RDEPEND="
+       ${DEPEND}
+       !<sys-apps/portage-2.1.6.7_p1
+"
+# we only need yacc when the .y files get patched (bash42-005)
+#DEPEND+=" virtual/yacc"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       # Patches from Chet sent to bashbug ml
+       "${FILESDIR}"/${PN}-5.0-history-zero-length.patch
+       "${FILESDIR}"/${PN}-5.0-history-append.patch
+       "${FILESDIR}"/${PN}-5.0-optimize-connection-fork.patch
+       "${FILESDIR}"/${PN}-5.0-globpat-backslashes.patch
+       "${FILESDIR}"/${PN}-5.0-syslog-history-extern.patch
+)
+
+pkg_setup() {
+       if is-flag -malign-double ; then #7332
+               eerror "Detected bad CFLAGS '-malign-double'.  Do not use this"
+               eerror "as it breaks LFS (struct stat64) on x86."
+               die "remove -malign-double from your CFLAGS mr ricer"
+       fi
+       if use bashlogger ; then
+               ewarn "The logging patch should ONLY be used in restricted 
(i.e. honeypot) envs."
+               ewarn "This will log ALL output you enter into the shell, you 
have been warned."
+       fi
+}
+
+src_unpack() {
+       unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+       # Include official patches
+       [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
+
+       # Clean out local libs so we know we use system ones w/releases.
+       if is_release ; then
+               rm -rf lib/{readline,termcap}/*
+               touch lib/{readline,termcap}/Makefile.in # for config.status
+               sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' 
Makefile.in || die
+       fi
+
+       # Prefixify hardcoded path names. No-op for non-prefix.
+       hprefixify pathnames.h.in
+
+       # Avoid regenerating docs after patches #407985
+       sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
+       touch -r . doc/*
+
+       eapply -p0 "${PATCHES[@]}"
+       eapply_user
+}
+
+src_configure() {
+       local myconf=(
+               --disable-profiling
+               --docdir='$(datarootdir)'/doc/${PF}
+               --htmldir='$(docdir)/html'
+               --with-curses
+               $(use_enable mem-scramble)
+               $(use_enable net net-redirections)
+               $(use_enable readline)
+               $(use_enable readline bang-history)
+               $(use_enable readline history)
+               $(use_with afs)
+               $(use_with mem-scramble bash-malloc)
+       )
+
+       # For descriptions of these, see config-top.h
+       # bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
+       append-cppflags \
+               
-DDEFAULT_PATH_VALUE=\'\"${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin\"\'
 \
+               
-DSTANDARD_UTILS_PATH=\'\"${EPREFIX}/bin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/usr/sbin\"\'
 \
+               -DSYS_BASHRC=\'\"${EPREFIX}/etc/bash/bashrc\"\' \
+               -DSYS_BASH_LOGOUT=\'\"${EPREFIX}/etc/bash/bash_logout\"\' \
+               -DNON_INTERACTIVE_LOGIN_SHELLS \
+               -DSSH_SOURCE_BASHRC \
+               $(use bashlogger && echo -DSYSLOG_HISTORY)
+
+       # Don't even think about building this statically without
+       # reading Bug 7714 first.  If you still build it statically,
+       # don't come crying to us with bugs ;).
+       #use static && export LDFLAGS="${LDFLAGS} -static"
+       use nls || myconf+=( --disable-nls )
+
+       # Historically, we always used the builtin readline, but since
+       # our handling of SONAME upgrades has gotten much more stable
+       # in the PM (and the readline ebuild itself preserves the old
+       # libs during upgrades), linking against the system copy should
+       # be safe.
+       # Exact cached version here doesn't really matter as long as it
+       # is at least what's in the DEPEND up above.
+       export ac_cv_rl_version=${READLINE_VER%%_*}
+
+       # Force linking with system curses ... the bundled termcap lib
+       # sucks bad compared to ncurses.  For the most part, ncurses
+       # is here because readline needs it.  But bash itself calls
+       # ncurses in one or two small places :(.
+
+       if is_release ; then
+               # Use system readline only with released versions.
+               myconf+=( --with-installed-readline=. )
+       fi
+
+       if use plugins; then
+               append-ldflags -Wl,-rpath,/usr/$(get_libdir)/bash
+       else
+               # Disable the plugins logic by hand since bash doesn't
+               # provide a way of doing it.
+               export ac_cv_func_dl{close,open,sym}=no \
+                       ac_cv_lib_dl_dlopen=no ac_cv_header_dlfcn_h=no
+               sed -i \
+                       -e '/LOCAL_LDFLAGS=/s:-rdynamic::' \
+                       configure || die
+       fi
+       tc-export AR #444070
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       emake
+
+       if use plugins ; then
+               emake -C examples/loadables all others
+       fi
+}
+
+src_install() {
+       local d f
+
+       default
+
+       dodir /bin
+       mv "${ED%/}"/usr/bin/bash "${ED%/}"/bin/ || die
+       dosym bash /bin/rbash
+
+       insinto /etc/bash
+       doins "${FILESDIR}"/bash_logout
+       doins "$(prefixify_ro "${FILESDIR}"/bashrc)"
+       keepdir /etc/bash/bashrc.d
+       insinto /etc/skel
+       for f in bash{_logout,_profile,rc} ; do
+               newins "${FILESDIR}"/dot-${f} .${f}
+       done
+
+       local sed_args=(
+               -e "s:#${USERLAND}#@::"
+               -e '/#@/d'
+       )
+       if ! use readline ; then
+               sed_args+=( #432338
+                       -e '/^shopt -s histappend/s:^:#:'
+                       -e 's:use_color=true:use_color=false:'
+               )
+       fi
+       sed -i \
+               "${sed_args[@]}" \
+               "${ED%/}"/etc/skel/.bashrc \
+               "${ED%/}"/etc/bash/bashrc || die
+
+       if use plugins ; then
+               exeinto /usr/$(get_libdir)/bash
+               doexe $(echo examples/loadables/*.o | sed 's:\.o::g')
+               insinto /usr/include/bash-plugins
+               doins *.h builtins/*.h include/*.h 
lib/{glob/glob.h,tilde/tilde.h}
+       fi
+
+       if use examples ; then
+               for d in examples/{functions,misc,scripts,startup-files} ; do
+                       exeinto /usr/share/doc/${PF}/${d}
+                       insinto /usr/share/doc/${PF}/${d}
+                       for f in ${d}/* ; do
+                               if [[ ${f##*/} != PERMISSION ]] && [[ ${f##*/} 
!= *README ]] ; then
+                                       doexe ${f}
+                               else
+                                       doins ${f}
+                               fi
+                       done
+               done
+       fi
+
+       doman doc/*.1
+       newdoc CWRU/changelog ChangeLog
+       dosym bash.info /usr/share/info/bashref.info
+}
+
+pkg_preinst() {
+       if [[ -e ${EROOT}/etc/bashrc ]] && [[ ! -d ${EROOT}/etc/bash ]] ; then
+               mkdir -p "${EROOT}"/etc/bash
+               mv -f "${EROOT}"/etc/bashrc "${EROOT}"/etc/bash/
+       fi
+
+       if [[ -L ${EROOT}/bin/sh ]] ; then
+               # rewrite the symlink to ensure that its mtime changes. having 
/bin/sh
+               # missing even temporarily causes a fatal error with paludis.
+               local target=$(readlink "${EROOT}"/bin/sh)
+               local tmp=$(emktemp "${EROOT}"/bin)
+               ln -sf "${target}" "${tmp}"
+               mv -f "${tmp}" "${EROOT}"/bin/sh
+       fi
+}
+
+pkg_postinst() {
+       # If /bin/sh does not exist, provide it
+       if [[ ! -e ${EROOT}/bin/sh ]] ; then
+               ln -sf bash "${EROOT}"/bin/sh
+       fi
+}

diff --git a/app-shells/bash/files/bash-5.0-globpat-backslashes.patch 
b/app-shells/bash/files/bash-5.0-globpat-backslashes.patch
new file mode 100644
index 00000000000..b3f6d680ea4
--- /dev/null
+++ b/app-shells/bash/files/bash-5.0-globpat-backslashes.patch
@@ -0,0 +1,174 @@
+*** ../bash-5.0-patched/lib/glob/glob_loop.c   2019-01-16 16:13:21.000000000 
-0500
+--- lib/glob/glob_loop.c       2019-02-01 09:45:11.000000000 -0500
+***************
+*** 27,34 ****
+    register const GCHAR *p;
+    register GCHAR c;
+!   int bopen;
+  
+    p = pattern;
+!   bopen = 0;
+  
+    while ((c = *p++) != L('\0'))
+--- 27,34 ----
+    register const GCHAR *p;
+    register GCHAR c;
+!   int bopen, bsquote;
+  
+    p = pattern;
+!   bopen = bsquote = 0;
+  
+    while ((c = *p++) != L('\0'))
+***************
+*** 56,66 ****
+        case L('\\'):
+       /* Don't let the pattern end in a backslash (GMATCH returns no match
+!         if the pattern ends in a backslash anyway), but otherwise return 1,
+!         since the matching engine uses backslash as an escape character
+!         and it can be removed. */
+!      return (*p != L('\0'));
+        }
+  
+!   return 0;
+  }
+  
+--- 56,75 ----
+        case L('\\'):
+       /* Don't let the pattern end in a backslash (GMATCH returns no match
+!         if the pattern ends in a backslash anyway), but otherwise note that 
+!         we have seen this, since the matching engine uses backslash as an
+!         escape character and it can be removed. We return 2 later if we
+!         have seen only backslash-escaped characters, so interested callers
+!         know they can shortcut and just dequote the pathname. */
+!      if (*p != L('\0'))
+!        {
+!          p++;
+!          bsquote = 1;
+!          continue;
+!        }
+!      else    /* (*p == L('\0')) */
+!        return 0;
+        }
+  
+!   return bsquote ? 2 : 0;
+  }
+  
+*** ../bash-5.0-patched/lib/glob/glob.c        2018-09-20 10:53:23.000000000 
-0400
+--- lib/glob/glob.c    2019-01-31 19:14:13.000000000 -0500
+***************
+*** 1062,1066 ****
+    unsigned int directory_len;
+    int free_dirname;                  /* flag */
+!   int dflags;
+  
+    result = (char **) malloc (sizeof (char *));
+--- 1078,1082 ----
+    unsigned int directory_len;
+    int free_dirname;                  /* flag */
+!   int dflags, hasglob;
+  
+    result = (char **) malloc (sizeof (char *));
+***************
+*** 1111,1117 ****
+      }
+  
+    /* If directory_name contains globbing characters, then we
+!      have to expand the previous levels.  Just recurse. */
+!   if (directory_len > 0 && glob_pattern_p (directory_name))
+      {
+        char **directories, *d, *p;
+--- 1127,1136 ----
+      }
+  
++   hasglob = 0;
+    /* If directory_name contains globbing characters, then we
+!      have to expand the previous levels.  Just recurse.
+!      If glob_pattern_p returns != [0,1] we have a pattern that has backslash
+!      quotes but no unquoted glob pattern characters. We dequote it below. */
+!   if (directory_len > 0 && (hasglob = glob_pattern_p (directory_name)) == 1)
+      {
+        char **directories, *d, *p;
+***************
+*** 1333,1336 ****
+--- 1352,1360 ----
+         return (NULL);
+       }
++       if (directory_len > 0 && hasglob == 2)         /* need to dequote */
++      {
++        dequote_pathname (directory_name);
++        directory_len = strlen (directory_name);
++      }
+        /* Handle GX_MARKDIRS here. */
+        result[0] = (char *) malloc (directory_len + 1);
+*** ../bash-5.0-patched/pathexp.c      2018-04-29 17:44:48.000000000 -0400
+--- pathexp.c  2019-01-31 20:19:41.000000000 -0500
+***************
+*** 66,74 ****
+    register int c;
+    char *send;
+!   int open;
+  
+    DECLARE_MBSTATE;
+  
+!   open = 0;
+    send = string + strlen (string);
+  
+--- 66,74 ----
+    register int c;
+    char *send;
+!   int open, bsquote;
+  
+    DECLARE_MBSTATE;
+  
+!   open = bsquote = 0;
+    send = string + strlen (string);
+  
+***************
+*** 101,105 ****
+          globbing. */
+       case '\\':
+!        return (*string != 0);
+                 
+       case CTLESC:
+--- 101,112 ----
+          globbing. */
+       case '\\':
+!        if (*string != '\0' && *string != '/')
+!          {
+!            bsquote = 1;
+!            string++;
+!            continue;
+!          }
+!        else if (*string == 0)
+!          return (0);
+                 
+       case CTLESC:
+***************
+*** 118,122 ****
+  #endif
+      }
+!   return (0);
+  }
+  
+--- 125,130 ----
+  #endif
+      }
+! 
+!   return (bsquote ? 2 : 0);
+  }
+  
+*** ../bash-5.0-patched/bashline.c     2019-01-16 16:13:21.000000000 -0500
+--- bashline.c 2019-02-22 09:29:08.000000000 -0500
+***************
+*** 3753,3757 ****
+  
+       case '\\':
+!        if (*string == 0)
+           return (0);           
+       }
+--- 3766,3770 ----
+  
+       case '\\':
+!        if (*string++ == 0)
+           return (0);           
+       }

diff --git a/app-shells/bash/files/bash-5.0-history-append.patch 
b/app-shells/bash/files/bash-5.0-history-append.patch
new file mode 100644
index 00000000000..20f78bfe9f0
--- /dev/null
+++ b/app-shells/bash/files/bash-5.0-history-append.patch
@@ -0,0 +1,34 @@
+*** ../bash-5.0-patched/bashhist.c     2018-07-05 22:41:14.000000000 -0400
+--- bashhist.c 2019-02-23 17:12:02.000000000 -0500
+***************
+*** 437,445 ****
+       char *filename;
+  {
+!   int fd, result;
+    struct stat buf;
+  
+    result = EXECUTION_SUCCESS;
+!   if (history_lines_this_session > 0 && (history_lines_this_session <= 
where_history ()))
+      {
+        /* If the filename was supplied, then create it if necessary. */
+--- 437,445 ----
+       char *filename;
+  {
+!   int fd, result, histlen;
+    struct stat buf;
+  
+    result = EXECUTION_SUCCESS;
+!   if (history_lines_this_session > 0)
+      {
+        /* If the filename was supplied, then create it if necessary. */
+***************
+*** 454,457 ****
+--- 454,461 ----
+         close (fd);
+       }
++       /* cap the number of lines we write at the length of the history list 
*/
++       histlen = where_history ();
++       if (histlen > 0 && history_lines_this_session > histlen)
++      history_lines_this_session = histlen;   /* reset below anyway */
+        result = append_history (history_lines_this_session, filename);
+        /* Pretend we already read these lines from the file because we just

diff --git a/app-shells/bash/files/bash-5.0-history-zero-length.patch 
b/app-shells/bash/files/bash-5.0-history-zero-length.patch
new file mode 100644
index 00000000000..981bbfb0625
--- /dev/null
+++ b/app-shells/bash/files/bash-5.0-history-zero-length.patch
@@ -0,0 +1,34 @@
+*** ../bash-5.0-patched/bashhist.c     2018-07-05 22:41:14.000000000 -0400
+--- bashhist.c 2019-02-20 16:20:04.000000000 -0500
+***************
+*** 561,573 ****
+    if (!history_expansion_inhibited && history_expansion && 
history_expansion_p (line))
+      {
+        /* If we are expanding the second or later line of a multi-line
+        command, decrease history_length so references to history expansions
+        in these lines refer to the previous history entry and not the
+        current command. */
+        if (history_length > 0 && command_oriented_history && 
current_command_first_line_saved && current_command_line_count > 1)
+          history_length--;
+        expanded = history_expand (line, &history_value);
+        if (history_length >= 0 && command_oriented_history && 
current_command_first_line_saved && current_command_line_count > 1)
+!         history_length++;
+  
+        if (expanded)
+--- 561,576 ----
+    if (!history_expansion_inhibited && history_expansion && 
history_expansion_p (line))
+      {
++       int old_len;
++ 
+        /* If we are expanding the second or later line of a multi-line
+        command, decrease history_length so references to history expansions
+        in these lines refer to the previous history entry and not the
+        current command. */
++       old_len = history_length;
+        if (history_length > 0 && command_oriented_history && 
current_command_first_line_saved && current_command_line_count > 1)
+          history_length--;
+        expanded = history_expand (line, &history_value);
+        if (history_length >= 0 && command_oriented_history && 
current_command_first_line_saved && current_command_line_count > 1)
+!         history_length = old_len;
+  
+        if (expanded)

diff --git a/app-shells/bash/files/bash-5.0-optimize-connection-fork.patch 
b/app-shells/bash/files/bash-5.0-optimize-connection-fork.patch
new file mode 100644
index 00000000000..3c6561bb126
--- /dev/null
+++ b/app-shells/bash/files/bash-5.0-optimize-connection-fork.patch
@@ -0,0 +1,79 @@
+*** ../bash-5.0-patched/command.h      2018-07-20 21:16:31.000000000 -0400
+--- command.h  2019-02-20 11:09:36.000000000 -0500
+***************
+*** 187,190 ****
+--- 188,192 ----
+  #define CMD_LASTPIPE     0x2000
+  #define CMD_STDPATH      0x4000      /* use standard path for command lookup 
*/
++ #define CMD_TRY_OPTIMIZING  0x8000   /* try to optimize this simple command 
*/
+  
+  /* What a command looks like. */
+*** ../bash-5.0-patched/builtins/evalstring.c  2018-12-26 11:19:21.000000000 
-0500
+--- builtins/evalstring.c      2019-01-29 14:15:19.000000000 -0500
+***************
+*** 101,104 ****
+--- 101,113 ----
+  }
+  
++ int
++ can_optimize_connection (command)
++      COMMAND *command;
++ {
++   return (*bash_input.location.string == '\0' &&
++        (command->value.Connection->connector == AND_AND || 
command->value.Connection->connector == OR_OR || 
command->value.Connection->connector == ';') &&
++        command->value.Connection->second->type == cm_simple);
++ }
++ 
+  void
+  optimize_fork (command)
+***************
+*** 106,110 ****
+  {
+    if (command->type == cm_connection &&
+!       (command->value.Connection->connector == AND_AND || 
command->value.Connection->connector == OR_OR) &&
+        should_suppress_fork (command->value.Connection->second))
+      {
+--- 115,120 ----
+  {
+    if (command->type == cm_connection &&
+!       (command->value.Connection->connector == AND_AND || 
command->value.Connection->connector == OR_OR || 
command->value.Connection->connector == ';') &&
+!       (command->value.Connection->second->flags & CMD_TRY_OPTIMIZING) &&
+        should_suppress_fork (command->value.Connection->second))
+      {
+***************
+*** 413,418 ****
+                 command->value.Simple->flags |= CMD_NO_FORK;
+               }
+!            else if (command->type == cm_connection)
+!              optimize_fork (command);
+  #endif /* ONESHOT */
+  
+--- 423,438 ----
+                 command->value.Simple->flags |= CMD_NO_FORK;
+               }
+! 
+!            /* Can't optimize forks out here execept for simple commands.
+!               This knows that the parser sets up commands as left-side heavy
+!               (&& and || are left-associative) and after the single parse,
+!               if we are at the end of the command string, the last in a
+!               series of connection commands is
+!               command->value.Connection->second. */
+!            else if (command->type == cm_connection && 
can_optimize_connection (command))
+!              {
+!                command->value.Connection->second->flags |= 
CMD_TRY_OPTIMIZING;
+!                command->value.Connection->second->value.Simple->flags |= 
CMD_TRY_OPTIMIZING;
+!              }
+  #endif /* ONESHOT */
+  
+*** ../bash-5.0-patched/execute_cmd.c  2018-12-05 09:05:14.000000000 -0500
+--- execute_cmd.c      2019-01-25 15:59:00.000000000 -0500
+***************
+*** 2768,2771 ****
+--- 2768,2773 ----
+          (exec_result != EXECUTION_SUCCESS)))
+       {
++        optimize_fork (command);
++ 
+         second = command->value.Connection->second;
+         if (ignore_return && second)
+

diff --git a/app-shells/bash/files/bash-5.0-syslog-history-extern.patch 
b/app-shells/bash/files/bash-5.0-syslog-history-extern.patch
new file mode 100644
index 00000000000..79909a3d0c3
--- /dev/null
+++ b/app-shells/bash/files/bash-5.0-syslog-history-extern.patch
@@ -0,0 +1,15 @@
+*** ../bash-5.0-patched/builtins/shopt.def     2018-10-05 14:49:02.000000000 
-0400
+--- builtins/shopt.def 2019-01-23 09:55:22.000000000 -0500
+***************
+*** 123,127 ****
+  #endif
+  
+! #if defined (SYSLOG_HISTORY) && defined (SYSLOG_SHOPT)
+  extern int syslog_history;
+  #endif
+--- 123,127 ----
+  #endif
+  
+! #if defined (SYSLOG_HISTORY)
+  extern int syslog_history;
+  #endif

Reply via email to